<?php
/*
  $Id: Admin testimonials_manager.php, v2.4bs 17th Oct. 2016 auzStar (Dominic C.) $
  Customer Testimonials for osCommerce 2.3.4 bootstrap - v2.4bs

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2016 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  function delete_current_image($tid, $image = '') {
    $testimonial_image_query = tep_db_query("select testimonial_image from customer_testimonials where testimonials_id = '" . (int)$tid . "'");

    if (tep_db_num_rows($testimonial_image_query)) {
      $testimonial_image = tep_db_fetch_array($testimonial_image_query);
      if ($image != $testimonial_image['testimonial_image']) {
        $duplicate_image_query = tep_db_query("select count(*) as total from customer_testimonials where testimonial_image = '" . tep_db_input($testimonial_image['testimonial_image']) . "'");
        $duplicate_image = tep_db_fetch_array($duplicate_image_query);

        if ($duplicate_image['total'] < 2) {
          $image_location = DIR_FS_CATALOG_IMAGES . 'testimonials/' . $testimonial_image['testimonial_image'];
          if (file_exists($image_location)) @unlink($image_location);
        }
      }
    }
  }

  function delete_last_image($image) {
    $duplicate_image_query = tep_db_query("select count(*) as total from customer_testimonials where testimonial_image = '" . tep_db_input($image) . "'");
    $duplicate_image = tep_db_fetch_array($duplicate_image_query);

    if ($duplicate_image['total'] < 1) {
      $image_location = DIR_FS_CATALOG_IMAGES . 'testimonials/' . $image;
      if (file_exists($image_location)) @unlink($image_location);
    }
  }

  // get list of languages for Customer Testimonials language selection (admin side)
  function tep_get_testimonials_languages($value) {
    global $language;

    $languages = tep_get_languages();
    $language_array = array();
    $language_selected = $language;
    for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
      $language_array[] = array('id' => $languages[$i]['directory'],
                                'text' => $languages[$i]['name']);
      if ($languages[$i]['directory'] == $value) {
          $language_selected = $languages[$i]['directory'];
      }
    }
    return tep_draw_pull_down_menu('language_name', $language_array, $language_selected, '', true);
  }

  $filename = ''; // stores current testimonial image and when changed via upload
  $testimonial_image_name = ''; // stores currently uploaded image

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'setflag':
        if ( ($_GET['flag'] == '0') || ($_GET['flag'] == '1') ) {
          if (isset($_GET['tID'])) {
            tep_db_query("update customer_testimonials set status = '" . (int)$_GET['flag'] . "' where testimonials_id = '" . (int)$_GET['tID'] . "'");
            $messageStack->add_session(SUCCESS_TESTIMONIALS_STATUS_UPDATED, 'success');
          }
        }

        tep_redirect(tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $_GET['tID']));
        break;
      case 'insert':
      case 'update':
	    $testimonials_id = tep_db_prepare_input($_POST['testimonials_id']);
        $testimonials_title = tep_db_prepare_input($_POST['testimonials_title']);
        $testimonials_name = tep_db_prepare_input($_POST['testimonials_name']);
        $testimonials_email = tep_db_prepare_input($_POST['testimonials_email']);
        $testimonials_location = tep_db_prepare_input($_POST['testimonials_location']);
        $testimonials_status = tep_db_prepare_input($_POST['status']);
        $testimonial = tep_db_prepare_input($_POST['testimonial']);
		$language_name = tep_db_prepare_input($_POST['language_name']);
		$filename = (isset($_POST['filename']) ? tep_db_prepare_input($_POST['filename']) : '');

        $testimonials_error = false;

		if (!empty($testimonials_email)) {
          if (!tep_validate_email($testimonials_email)) {
            $messageStack->add(ERROR_TESTIMONIALS_EMAIL_ADDRESS_CHECK, 'error');
            $testimonials_error = true;
          }
	    }
		if (empty($language_name)) {
 		  $messageStack->add(ERROR_TESTIMONIALS_NO_LANGUAGE, 'error');
          $testimonials_error = true;
		} else {
          // check that the language directory name exists
          // This ensures that a valid language directory name is used
          $languages_query = tep_db_query("select languages_id from languages where directory = '" . $language_name . "'");
		  if (!tep_db_num_rows($languages_query)) {
   		    $messageStack->add(ERROR_TESTIMONIALS_INVALID_LANGUAGE, 'error');
            $testimonials_error = true;
		  }
        }
        if (empty($testimonial)) {
          $messageStack->add(ERROR_TESTIMONIALS_DESCRIPTION_REQUIRED, 'error');
          $testimonials_error = true;
        }

		// check testimonials directory exists
		if (!is_dir(DIR_FS_CATALOG_IMAGES . 'testimonials')) mkdir(DIR_FS_CATALOG_IMAGES . 'testimonials', '777');

		$testimonial_image = new upload('testimonial_image');
        $testimonial_image->set_destination(DIR_FS_CATALOG_IMAGES . 'testimonials/');
        if ($testimonial_image->parse() && $testimonial_image->save()) {
          $testimonial_image_name = $testimonial_image->filename;
        }

        // to temporarily remember the last uploaded file, incase it gets changed again with another upload, so that this last one can be deleted
        if (!tep_session_is_registered('temp_filename')) {
          tep_session_register('temp_filename');
          $temp_filename = '';
        }
        if ($testimonial_image_name != '' && $testimonial_image_name != $temp_filename) {
          if ($temp_filename != '')
            delete_last_image($temp_filename);
          $temp_filename = $testimonial_image_name;
	    }

        if (!$testimonials_error) {

          // if no new image has been uploaded, use the one currently in use
		  if ($testimonial_image_name == '' && $filename != '') {
		    $testimonial_image_name = $filename;
		  }

	      $language_id = tep_db_fetch_array($languages_query);

		  $sql_data_array = array('testimonials_title' => $testimonials_title,
                                  'testimonials_name' => $testimonials_name,
								  'testimonials_email' => $testimonials_email,
								  'testimonials_location' => $testimonials_location,
								  'status' => $testimonials_status,
                                  'testimonials_html_text' => $testimonial,
                                  'language_id' => (int)$language_id['languages_id'],
								  'testimonial_image' => $testimonial_image_name);

          if ($action == 'insert') {
            $insert_sql_data = array('date_added' => 'now()');
            $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
            tep_db_perform('customer_testimonials', $sql_data_array);
            $testimonials_id = tep_db_insert_id();
            $messageStack->add_session(SUCCESS_TESTIMONIALS_INSERTED, 'success');
          } elseif ($action == 'update') {
            // if the image was updated then delete the previous one - current one is used to compare with previous one and, if different, the previous one is deleted
            delete_current_image($testimonials_id, $testimonial_image_name);
            $insert_sql_data = array('last_modified' => 'now()');
            $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
            tep_db_perform('customer_testimonials', $sql_data_array, 'update', "testimonials_id = '" . (int)$testimonials_id . "'");
            $messageStack->add_session(SUCCESS_TESTIMONIALS_UPDATED, 'success');
          }

          if (tep_session_is_registered('temp_filename'))
            tep_session_unregister('temp_filename');

          tep_redirect(tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $testimonials_id));
        }

		if ($testimonials_error) {
		  if ($action == 'insert') {
			$action = 'new_insert';
		  } elseif ($action == 'update') {
			$action = 'new_update';
		  }
		  $_GET['tID'] = $testimonials_id;
		  if ($testimonial_image_name != '')
            $filename = $testimonial_image_name;
        }
        break;
      case 'deleteconfirm':
        $testimonials_id = tep_db_prepare_input($_GET['tID']);

        if (isset($_POST['delete_image']) && ($_POST['delete_image'] == 'on')) {
          delete_current_image($testimonials_id);
        }

        tep_db_query("delete from customer_testimonials where testimonials_id = '" . (int)$testimonials_id . "'");

        $messageStack->add_session(SUCCESS_TESTIMONIALS_REMOVED, 'success');

        tep_redirect(tep_href_link('testimonials_manager.php', 'page=' . $_GET['page']));
        break;
      case 'delete_old_confirm':
        $testimonials_delete_query = tep_db_query("select testimonials_id from customer_testimonials where (to_days(now()) - to_days(date_added)) > " . TESTIMONIALS_MAX_AGE);
        $num_testimonials_deleted = tep_db_num_rows($testimonials_delete_query);
        if ($num_testimonials_deleted > 0) {
          if (isset($_POST['delete_image']) && ($_POST['delete_image'] == 'on')) {
            while ($testimonials_delete = tep_db_fetch_array($testimonials_delete_query)) {
              delete_current_image($testimonials_delete['testimonials_id']);
              tep_db_query("delete from customer_testimonials where testimonials_id = '" . (int)$testimonials_delete['testimonials_id'] . "'");
            }
          } else {
            tep_db_query("delete from customer_testimonials where (to_days(now()) - to_days(date_added)) > " . TESTIMONIALS_MAX_AGE);
          }
          $messageStack->add_session(sprintf(SUCCESS_TESTIMONIALS_OLD_REMOVED, $num_testimonials_deleted, TESTIMONIALS_MAX_AGE), 'success');
        } else {
          $messageStack->add_session(sprintf(WARNING_TESTIMONIALS_OLD_NOT_REMOVED, TESTIMONIALS_MAX_AGE), 'warning');
        }

        tep_redirect(tep_href_link('testimonials_manager.php', 'page=' . $_GET['page']));
        break;
      case 'delete_non_language_confirm':
        $languages_array = array();
        $languages = tep_get_languages();
        for ($i=0, $n=sizeof($languages); $i<$n; $i++) {
          $languages_array[] = $languages[$i]['id'];
        }

        $testimonials_delete_query = tep_db_query("select testimonials_id, language_id from customer_testimonials");
        while ($testimonials_delete = tep_db_fetch_array($testimonials_delete_query)) {
          if (!in_array($testimonials_delete['language_id'], $languages_array)) {
            if (isset($_POST['delete_image']) && ($_POST['delete_image'] == 'on')) {
              delete_current_image($testimonials_delete['testimonials_id']);
            }
            tep_db_query("delete from customer_testimonials where testimonials_id = '" . (int)$testimonials_delete['testimonials_id'] . "'");
          }
        }

        $messageStack->add_session(sprintf(SUCCESS_TESTIMONIALS_NON_LANGUAGE_REMOVED), 'success');

        tep_redirect(tep_href_link('testimonials_manager.php', 'page=' . $_GET['page']));
        break;
    }
  } else {
    // need to delete the last uploaded file if action is cancelled
    if (tep_session_is_registered('temp_filename')) {
      if ($temp_filename != '')
        delete_last_image($temp_filename);
      tep_session_unregister('temp_filename');
    }
  }

  require('includes/template_top.php');
?>

    <table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE . (isset($action) && ($action == 'new_insert' || $action == 'new_update') ? ($action == 'new_insert' ? HEADING_TITLE_SUFFIX_NEW : HEADING_TITLE_SUFFIX_EDIT) : ''); ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>

<?php
  if ($action == 'new_insert' || $action == 'new_update') {
    $tID = tep_db_prepare_input($_GET['tID']);
    if ($action == 'new_insert') {
      $form_action = 'insert';
    } else {
      $form_action = 'update';

      $testimonials_query = tep_db_query("select * from customer_testimonials where testimonials_id = '" . (int)$tID . "'");
      $testimonials = tep_db_fetch_array($testimonials_query);

	  $languages_query = tep_db_query("select directory from languages where languages_id = '" . (int)$testimonials['language_id'] . "'");
	  $language_name = tep_db_fetch_array($languages_query);
	  $testimonials['language_name'] = $language_name['directory'];

      $tInfo = new objectInfo($testimonials);
    }

    if (isset($tInfo->status) && tep_not_null($tInfo->status)) {
      $status = $tInfo->status;
    } else {
      $status = '0';
    }
    switch ($status) {
      case '0': $in_status = false; $out_status = true; break;
      case '1':
      default: $in_status = true; $out_status = false;
    }
?>

      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr><?php echo tep_draw_form('new_banner', 'testimonials_manager.php', 'page=' . $_GET['page'] . '&action=' . $form_action, 'post', 'enctype="multipart/form-data"');
			    echo tep_draw_hidden_field('testimonials_id', $tID);
	      ?>
        <td><table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td width="30%" class="main"><?php echo TEXT_TESTIMONIALS_STATUS; ?></td>
            <td class="main"><?php echo tep_draw_radio_field('status', '1', $in_status) . '&nbsp;' . TEXT_STATUS_RADIO_BUTTON_ACTIVE . '&nbsp;' . tep_draw_radio_field('status', '0', $out_status) . '&nbsp;' . TEXT_STATUS_RADIO_BUTTON_INACTIVE; ?></td>
          </tr>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td width="30%" class="main"><?php echo TEXT_TESTIMONIALS_TITLE; ?></td>
            <td class="main"><?php echo tep_draw_input_field('testimonials_title', (isset($tInfo->testimonials_title) ? $tInfo->testimonials_title : '')); ?></td>
          </tr>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td width="30%" class="main"><?php echo TEXT_TESTIMONIALS_NAME; ?></td>
            <td class="main"><?php echo tep_draw_input_field('testimonials_name', (isset($tInfo->testimonials_name) ? $tInfo->testimonials_name : '')); ?></td>
          </tr>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
		  <tr>
            <td width="30%" class="main"><?php echo TEXT_TESTIMONIALS_EMAIL; ?></td>
            <td class="main"><?php echo tep_draw_input_field('testimonials_email', (isset($tInfo->testimonials_email) ? $tInfo->testimonials_email : ''));?></td>
          </tr>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
		  <tr>
            <td width="30%" class="main"><?php echo TEXT_TESTIMONIALS_LOCATION; ?></td>
            <td class="main"><?php echo tep_draw_input_field('testimonials_location', (isset($tInfo->testimonials_location) ? $tInfo->testimonials_location : '')); ?></td>
          </tr>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
		  <tr>
            <td width="30%" class="main"><?php echo TEXT_TESTIMONIALS_LANGUAGE; ?></td>
            <td class="main"><?php echo tep_get_testimonials_languages((isset($tInfo->language_name) ? $tInfo->language_name : '')) . ($action == 'new_update' && $tInfo->language_name == '' ? '<br />' . '<span style="color: red;">' . TEXT_TESTIMONIALS_LANGUAGE_NOT_EXIST . '</span>' : ''); ?></td>
          </tr>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td width="30%" valign="top" class="main"><?php echo TEXT_TESTIMONIALS_HTML_TEXT; ?></td>
            <td class="main"><?php echo tep_draw_textarea_field('testimonial', 'soft', '60', '8', (isset($tInfo->testimonials_html_text) ? $tInfo->testimonials_html_text : '')) . TEXT_FIELD_REQUIRED; ?></td>
          </tr>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
		  <tr>
            <td width="30%" class="main" valign="top"><?php echo TEXT_TESTIMONIALS_IMAGE_UPLOAD; ?></td>
            <td class="main"><table border="0" cellspacing="0" cellpadding="0" width="100%">
              <tr><td>

			      <?php
                        if ($action == 'new_insert') {
			              if ($filename != '') {
				            echo '<div id="piId"><table border="0" cellspacing="0" cellpadding="0" width="100%">
                                  <tr><td class="main" width="1px">' . tep_image(HTTP_CATALOG_SERVER . DIR_WS_CATALOG . 'images/testimonials/' . $filename) . '</td><td valign="bottom" width="1px"><a href="#" title="' . ICON_TRASH_TITLE . '" onclick="showPiDelConfirm(\'' . $filename . '\'); return false;" class="ui-icon ui-icon-trash"></a></td><td class="main" valign="bottom"><a href="#" onclick="showPiDelConfirm(\'' . $filename . '\'); return false;">' . TEXT_TESTIMONIALS_IMAGE_DELETE . '</a>
                                  </td></tr><tr><td class="main" colspan="3">' . $filename . '<br /><br /></td></tr>
                                  </td></tr><tr><td class="main" colspan="3">' . TEXT_TESTIMONIALS_IMAGE_REPLACE . '</td></tr>
                                  </table>' . tep_draw_hidden_field('filename', $filename) . '</div>';
			              }
			              echo '</td></tr><tr><td>' . tep_draw_file_field('testimonial_image');
                        } else {
                          if ((tep_not_null($tInfo->testimonial_image) && $filename == '' && !isset($temp_filename)) || ($filename != '')) {
				            echo '<div id="piId"><table border="0" cellspacing="0" cellpadding="0" width="100%">
                                  <tr><td class="main" width="1px">' . tep_image(HTTP_CATALOG_SERVER . DIR_WS_CATALOG . 'images/testimonials/' . ($filename != '' ? $filename : $tInfo->testimonial_image)) . '</td><td valign="bottom" width="1px"><a href="#" title="' . ICON_TRASH_TITLE . '" onclick="showPiDelConfirm(\'' . ($filename != '' ? $filename : $tInfo->testimonial_image) . '\'); return false;" class="ui-icon ui-icon-trash"></a></td><td class="main" valign="bottom"><a href="#" onclick="showPiDelConfirm(\'' . ($filename != '' ? $filename : $tInfo->testimonial_image) . '\'); return false;">' . TEXT_TESTIMONIALS_IMAGE_DELETE . '</a>
                                  </td></tr><tr><td class="main" colspan="3">' . ($filename != '' ? $filename : $tInfo->testimonial_image) . '<br /><br /></td></tr>
                                  </td></tr><tr><td class="main" colspan="3">' . TEXT_TESTIMONIALS_IMAGE_REPLACE . '</td></tr>
                                  </table>' . tep_draw_hidden_field('filename', ($filename != '' ? $filename : $tInfo->testimonial_image)) . '</div>';
			              }
			              echo '</td></tr><tr><td>' . tep_draw_file_field('testimonial_image');
			            }
			      ?>

              </td></tr>
            </table></td>
          <tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td class="main" valign="top" align="right"><?php echo tep_draw_button(($action == 'new_insert' ? IMAGE_INSERT : IMAGE_UPDATE), 'disk', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $tID)); ?></td>
      </tr>
      </form></tr>

<?php
  } else {
?>

      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_TESTIMONIALS_ID; ?>  </td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_TESTIMONIALS_NAME; ?></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_TESTIMONIALS_EMAIL; ?></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_TESTIMONIALS_LOCATION; ?></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_TESTIMONIALS_LANGUAGE; ?></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_TESTIMONIALS_TITLE; ?></td>
                <td class="dataTableHeadingContent" align="left"><?php echo TABLE_HEADING_TESTIMONIALS_TESTIMONIAL; ?></td>
                <td class="dataTableHeadingContent" align="middle"><?php echo TABLE_HEADING_TESTIMONIALS_IMAGE; ?></td>
                <td class="dataTableHeadingContent" align="middle"><?php echo TABLE_HEADING_STATUS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>

<?php
    $testimonials_query_raw = "select * from customer_testimonials order by testimonials_id DESC";
    $testimonials_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $testimonials_query_raw, $testimonials_query_numrows);
    $testimonials_query = tep_db_query($testimonials_query_raw);

    $languages_removed = false;
    while ($testimonials = tep_db_fetch_array($testimonials_query)) {

	  $languages_query = tep_db_query("select directory from languages where languages_id = '" . (int)$testimonials['language_id'] . "'");
	  $language_name = tep_db_fetch_array($languages_query);
	  if ($language_name['directory'] == '') $languages_removed = true;

      if ((!isset($_GET['tID']) || (isset($_GET['tID']) && ($_GET['tID'] == $testimonials['testimonials_id']))) && !isset($tInfo) && (substr($action, 0, 3) != 'new')) {
        $tInfo = new objectInfo($testimonials);
      }

      if ( isset($tInfo) && is_object($tInfo) && ($testimonials['testimonials_id'] == $tInfo->testimonials_id) ) {
        echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)">' . "\n";
      } else {
        echo '              <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $testimonials['testimonials_id']) . '\'">' . "\n";
      }
?>

                <td nowrap class="dataTableContent"><?php echo $testimonials['testimonials_id']; ?></td>
                <td class="dataTableContent" align="left"><?php echo $testimonials['testimonials_name']; ?></td>
                <td class="dataTableContent" align="left"><?php echo $testimonials['testimonials_email']; ?></td>
				<td class="dataTableContent" align="left"><?php echo $testimonials['testimonials_location']; ?></td>
				<td class="dataTableContent" align="left"><?php echo ($language_name['directory'] == '' ? '<span style="color: red;">' . TEXT_TESTIMONIALS_LANGUAGE_REMOVED . '</span>' : $language_name['directory']); ?></td>
                <td class="dataTableContent" align="left"><?php echo substr($testimonials['testimonials_title'], 0, 20) . (strlen($testimonials['testimonials_title']) > 20 ? '..' : ''); ?></td>
                <td class="dataTableContent" align="left"><?php echo substr($testimonials['testimonials_html_text'], 0, 20) . (strlen($testimonials['testimonials_html_text']) > 20 ? '..' : ''); ?></td>
                <td class="dataTableContent" align="middle"><?php echo (tep_not_null($testimonials['testimonial_image']) ? TEXT_TESTIMONIALS_IMAGE_UPLOADED_YES : ''); ?></td>
                <td class="dataTableContent" align="middle">

                <?php
                if ($testimonials['status'] == '1') {
                    echo tep_image('images/icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;<a href="' . tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $testimonials['testimonials_id'] . '&action=setflag&flag=0') . '">' . tep_image('images/icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
                }
                else {
                    echo '<a href="' . tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $testimonials['testimonials_id'] . '&action=setflag&flag=1') . '">' . tep_image('images/icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image('images/icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
                }
                ?></td>

                <td class="dataTableContent" align="right"><?php if ( isset($tInfo) && is_object($tInfo) && ($testimonials['testimonials_id'] == $tInfo->testimonials_id) ) { echo tep_image('images/icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $testimonials['testimonials_id']) . '">' . tep_image('images/icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>

<?php
    }
?>

              <tr>
                <td colspan="10"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $testimonials_split->display_count($testimonials_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_TESTIMONIALS); ?></td>
                    <td class="smallText" align="right"><?php echo $testimonials_split->display_links($testimonials_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
                  </tr>

<?php
   if (empty($action)) {
?>

                  <tr>
                    <td align="right" colspan="2"><?php echo tep_draw_button(IMAGE_NEW_TESTIMONIAL, 'plus', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&action=new_insert&tID=' . (isset($tInfo->testimonials_id) ? $tInfo->testimonials_id : ''))); ?></td>
                  </tr>

<?php
    }
?>

                </table></td>
              </tr>
            </table></td>

<?php
    $heading = array();
    $contents = array();
    switch ($action) {
      case 'delete':
        $heading[] = array('text' => '<b>' . (tep_not_null($tInfo->testimonials_title) ? $tInfo->testimonials_title : '&nbsp;') . '</b>');

        $contents = array('form' => tep_draw_form('testimonials', 'testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $tInfo->testimonials_id . '&action=deleteconfirm'));
        $contents[] = array('text' => TEXT_TESTIMONIALS_INFO_DELETE_INTRO);
        $contents[] = array('text' => '<br /><b>' . $tInfo->testimonials_title . '</b>');
        if (tep_not_null($tInfo->testimonial_image)) $contents[] = array('text' => '<br />' . tep_draw_checkbox_field('delete_image', '', true) . ' ' . TEXT_TESTIMONIALS_DELETE_IMAGE . '<br /><strong>' . $tInfo->testimonial_image . '</strong>');
        $contents[] = array('align' => 'center', 'text' => '<br />' . tep_draw_button(IMAGE_DELETE, 'trash', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $_GET['tID'])));
        break;
      case 'delete_old':
        $heading[] = array('text' => '<b>' . TEXT_TESTIMONIALS_INFO_DELETE_OLD_HEADING . '</b>');

        $contents = array('form' => tep_draw_form('testimonials', 'testimonials_manager.php', 'page=' . $_GET['page'] . '&action=delete_old_confirm'));
        $contents[] = array('text' => sprintf(TEXT_TESTIMONIALS_INFO_DELETE_OLD_INTRO, TESTIMONIALS_MAX_AGE));
        $contents[] = array('text' => '<br />' . tep_draw_checkbox_field('delete_image', '', true) . ' ' . TEXT_TESTIMONIALS_DELETE_IMAGES);
        $contents[] = array('align' => 'center', 'text' => '<br />' . tep_draw_button(IMAGE_DELETE_OLD, 'trash', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $_GET['tID'])));
        break;
      case 'delete_non_language':
        $heading[] = array('text' => '<strong>' . TEXT_TESTIMONIALS_DELETE_NON_LANG_HEADING . '</strong>');

        $contents = array('form' => tep_draw_form('testimonials', 'testimonials_manager.php', 'page=' . $_GET['page'] . '&action=delete_non_language_confirm'));
        $contents[] = array('text' => TEXT_TESTIMONIALS_DELETE_NON_LANG_INTRO);
        $contents[] = array('text' => '<br />' . tep_draw_checkbox_field('delete_image', '', true) . ' ' . TEXT_TESTIMONIALS_DELETE_IMAGES);
        $contents[] = array('align' => 'center', 'text' => '<br />' . tep_draw_button(IMAGE_DELETE_NON_LANG, 'trash', null, 'primary') . '<br /><br />' . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $tInfo->testimonials_id)));
        break;
      default:
        if (isset($tInfo) && is_object($tInfo)) {
          $heading[] = array('text' => '<b>' . (tep_not_null($tInfo->testimonials_title) ? $tInfo->testimonials_title : '&nbsp;') . '</b>');

          $contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_EDIT, 'document', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $tInfo->testimonials_id . '&action=new_update')) . tep_draw_button(IMAGE_DELETE, 'trash', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $tInfo->testimonials_id . '&action=delete')));
          if ($languages_removed)
            $contents[] = array('align' => 'center', 'text' => '<br />' . tep_draw_button(IMAGE_DELETE_NON_LANG_TESTIMONIALS, 'trash', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $tInfo->testimonials_id . '&action=delete_non_language')));
          $contents[] = array('text' => '<br />' . TEXT_TESTIMONIALS_DATE_ADDED . ' ' . tep_date_short($tInfo->date_added));
          if (tep_not_null($tInfo->last_modified)) $contents[] = array('text' => TEXT_TESTIMONIALS_DATE_MODIFIED . ' ' . tep_date_short($tInfo->last_modified));
          $contents[] = array('text' => '<br /><b>' . TEXT_TESTIMONIALS_INFO_FULL_TESTIMONIAL . '</b><br />' . $tInfo->testimonials_html_text . '<br />');
          if (tep_not_null($tInfo->testimonial_image)) $contents[] = array('text' => '<br />' . tep_info_image('testimonials/' . $tInfo->testimonial_image, $tInfo->testimonials_title, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '<br />' . $tInfo->testimonial_image);
          $contents[] = array('text' => '<br />');
          if (TESTIMONIALS_MAX_AGE > 0) $contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_DELETE_OLD_TESTIMONIALS, 'trash', tep_href_link('testimonials_manager.php', 'page=' . $_GET['page'] . '&tID=' . $tInfo->testimonials_id . '&action=delete_old')) . '<br />' . sprintf(TEXT_TESTIMONIALS_INFO_DELETE_OLD_INFO, TESTIMONIALS_MAX_AGE));
        } else {
          $heading[] = array('text' => '<strong>' . TEXT_NO_TESTIMONIALS . '</strong>');
          $contents[] = array('text' => '<br />');
        }
        break;
    }

    if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
      echo '            <td width="25%" valign="top">' . "\n";

      $box = new box;
      echo $box->infoBox($heading, $contents);

       echo '            </td>' . "\n";
    }
?>

          </tr>
        </table></td>
      </tr>

<?php
  }
?>

</table>

<div id="piDelConfirm" title="<?php echo DIALOG_DELETE_HEADING; ?>">
  <p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span><?php echo DIALOG_DELETE_CONFIRM; ?></p>
</div>

<script type="text/javascript">
var pic = '';

$('#piDelConfirm').dialog({
  autoOpen: false,
  resizable: false,
  draggable: false,
  modal: true,
  buttons: {
    'Delete': function() {
      deletePi(pic);
      $(this).dialog('close');
    },
    Cancel: function() {
      $(this).dialog('close');
    }
  }
});

function deletePi(pi) {
  $.ajax({ type:'POST', url: "ajax_delete_testimonial_pi.php", data: { 'pi': pi }, success: function() {
    $('#piId').effect('blind').remove();
  }});
}

function showPiDelConfirm(pi) {
  pic = pi;
  $('#piDelConfirm').dialog('open');
}
</script>

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>
