<?php
/*
  $Id: Module customer_testimonials.php, v2.4bs 17th Oct. 2016 auzStar (Dominic C.) $
  Customer Testimonials for osCommerce 2.3.4 bootstrap - v2.4bs

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2016 osCommerce

  Released under the GNU General Public License
*/

  $testimonial_size = tep_db_num_rows($testimonial_data);

  if ($testimonial_size == '0') {
?>

  <div class="alert alert-info">
    <?php echo $no_testimonial_text; ?>
  </div>

<?php
  } else {
    if ($testimonial_size > 1) {
?>

  <div id="expander"><span id="expand" class="btn-sm btn-primary"><?php echo LINK_EXPAND_ALL; ?><i class="icon-white fa fa-plus-circle" style="font-size: 14px;"></i></span><span id="collapse" class="btn-sm btn-primary" style="display: none;"><?php echo LINK_COLLAPSE_ALL; ?><i class="icon-white fa fa-minus-circle" style="font-size: 14px;"></i></span></div><div class="clearfix"></div>

<?php
    }

    // Check if user may email the author
    $email_author = false;
	if ((TESTIMONIAL_EMAIL_AUTHOR == "Registered Users Only" && tep_session_is_registered('customer_id')) || (TESTIMONIAL_EMAIL_AUTHOR == "All Users"))
      $email_author = true;
?>

  <div class="testimonials">

<?php
    $i = 0;
    while ($testimonials = tep_db_fetch_array($testimonial_data)) {
    
      if (TESTIMONIAL_LANG_PREF == "All Languages") {
        $language_check_query = tep_db_query("select name from languages where languages_id = '" . (int)$testimonials['language_id'] . "'");
        if (tep_db_num_rows($language_check_query)) {
          $language_check = tep_db_fetch_array($language_check_query);
          $language_name = $language_check['name'];
        } else {
          $language_name = TEXT_LANGUAGE_UNKOWN; // for languages that have been removed
        }
      }

	  if (tep_not_null($testimonials['testimonial_image'])) {
	    $displayimage = tep_image('images/testimonials/' . $testimonials['testimonial_image'], tep_output_string_protected($testimonials['testimonials_title']), TESTIMONIAL_IMAGE_WIDTH, '');
	  } else {
	    $displayimage = '';
	  }

      if ($testimonial_size == 1) {

        $testimonial_text = '<div class="boxTestText_nohover vertical-align">' .
 							  '<div class="col-sm-9">' . tep_break_string(nl2br(tep_output_string_protected($testimonials['testimonials_html_text'])), 30, '-<br />') . '</div>' .
							  '<div class="col-sm-3 text-center">' . $displayimage . '</div>' .
                            '</div>';

      } else {

        $show_image = ($displayimage != '' ? true : false);
        $more_text = (strlen($testimonials['testimonials_html_text']) > 50 ? true : false);
        $testimonial_text = '<a class="boxTestText_link" id="' . $i . '" ' . ($more_text || $show_image ? 'href="' . tep_href_link('customer_testimonials.php', 'testimonial_id=' . $testimonials['testimonials_id']) . '" return false;' : '') . '>' .
                              '<div id="boxTestText_less' . ($more_text || $show_image ? $i : '') . '" ' . ($more_text || $show_image ? 'class="boxTestText vertical-align"' : 'class="boxTestText_nohover"') . '>' .
 							    '<div class="col-sm-9" ' . ($more_text ? 'title="' . TEXT_READ_TESTIMONIALS_PRODUCT . tep_output_string_protected($testimonials['testimonials_title']) . ' ' . sprintf(TEXT_TESTIMONIAL_TITLE_BY, tep_output_string_protected($testimonials['testimonials_name'])) . '"' : '') . '>' . tep_break_string(tep_output_string_protected($testimonials['part_testimonial_text']), 30, '-<br />') . ($more_text ? '.... <span class="pull-right label label-info" style="margin-top: 2px;">' . LINK_READ_MORE . '</span>' : '') . '</div>' .
								'<div class="col-sm-3 text-center img-expander">' . ($show_image ? TEXT_TESTIMONIALS_SHOW_IMAGE : '') . '</div>' .
                                ($more_text || $show_image ?
                              '</div>' .
                              '<div id="boxTestText_more' . $i . '" class="boxTestText vertical-align" style="display: none;">' .
                                '<div class="col-sm-9">' . tep_break_string(nl2br(tep_output_string_protected($testimonials['testimonials_html_text'])), 30, '-<br />') . ' <span class="pull-right label label-info" style="margin-top: 2px;">' . LINK_SHOW_LESS . '</span></div>' .
								'<div class="col-sm-3 text-center">' . $displayimage . '</div>' : '') .
                              '</div>' .
                            '</a>';

      }

      $customer_testimonial = '<blockquote class="border_bottom col-sm-12">' .
						         '<h5>' . (tep_not_null($testimonials['testimonials_name']) ? TEXT_TESTIMONY_BY . '<cite>' . tep_output_string_protected($testimonials['testimonials_name']) . '</cite>' . (tep_not_null($testimonials['testimonials_location']) ? TEXT_TESTIMONY_OF . '<cite>' . tep_output_string_protected($testimonials['testimonials_location']) . '</cite>' : '') : '') . '<span style="float: right">' . TEXT_TESTIMONY_DATE_ADDED . '<cite>' . tep_date_short($testimonials['date_added']) . '</cite></span><div class="clearfix"></div></h5>' .
						         '<h5>' . (tep_not_null($testimonials['testimonials_title']) ? TEXT_TESTIMONY_TITLE . '<cite>' . tep_output_string_protected($testimonials['testimonials_title']) . '</cite>' : '') . '<span style="float: right">' . (TESTIMONIAL_LANG_PREF == "All Languages" ? TEXT_LANGUAGE . '<cite>' . $language_name . '</cite>' : '')  . '</span><div class="clearfix"></div></h5>' .
                                 $testimonial_text .
                                 (tep_not_null($testimonials['testimonials_email']) && $email_author ? '<footer><a target="_blank" href="' . TEXT_MAILTO . $testimonials['testimonials_email'] . '">' . TEXT_EMAIL_AUTHOR . '</a></footer>' : '') .
						       '</blockquote>';

      echo $customer_testimonial;
      $i++;
    }
?>

  </div>

<?php
  }
?>

</table>
