<?php
/*
  $Id: Navbar Module nb_customer_testimonials.php, v2.4bs 17th Oct. 2016 auzStar (Dominic C.) $
  Customer Testimonials for osCommerce 2.3.4 bootstrap - v2.4bs

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2016 osCommerce

  Released under the GNU General Public License
*/

  class nb_customer_testimonials {
    var $code;
    var $group;
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;    
    
    function __construct() {
      $this->code = get_class($this);
      $this->group = 'navbar_modules_left';

      $this->title = MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_TITLE;
      $this->description = MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_DESCRIPTION;

      if ( defined('MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_STATUS') ) {
        $this->sort_order = MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_SORT_ORDER;
        $this->enabled = (MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_STATUS == 'True');
        
        switch (MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_CONTENT_PLACEMENT) {
          case 'Home':
          $this->group = 'navbar_modules_home';
          break;
          case 'Left':
          $this->group = 'navbar_modules_left';
          break;
          case 'Right':
          $this->group = 'navbar_modules_right';
          break;
        } 
      }
    }

    function getOutput() {
      global $oscTemplate;
      
      // Display the testimonial link only if admin has turned on the testimonial add-on
      // Also check to see if viewing is restricted to registered users only
      // or if admin settings indicate all users may view testimonials
      if ( (defined('TESTIMONIAL_ACTIVE') && TESTIMONIAL_ACTIVE == 'Yes') && ( ((TESTIMONIAL_REGISTERED_VIEW == "Registered Users Only") && (tep_session_is_registered('customer_id'))) || (TESTIMONIAL_REGISTERED_VIEW == "All Users") ) ) {

        ob_start();
        require('includes/modules/navbar_modules/templates/customer_testimonials.php');
        $data = ob_get_clean();

        $oscTemplate->addBlock($data, $this->group);

      }
    }

    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_STATUS');
    }

    function install() {
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Customer Testimonials Navbar Module', 'MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_STATUS', 'True', 'Do you want to add the Customer Testimonials module to your Navbar?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Content Placement', 'MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_CONTENT_PLACEMENT', 'Left', 'Should the module be loaded in the Left or Right or the Home area of the Navbar?', '6', '2', 'tep_cfg_select_option(array(\'Left\', \'Right\', \'Home\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_SORT_ORDER', '534', 'Sort order of display. Lowest is displayed first.', '6', '3', now())");
    }

    function remove() {
      tep_db_query("delete from configuration where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_STATUS', 'MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_CONTENT_PLACEMENT', 'MODULE_NAVBAR_CUSTOMER_TESTIMONIALS_SORT_ORDER');
    }
  }
  
