<?php
/*
  $Id: ht_jquery_mobile.php, v1.2 auzStar$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2016 osCommerce

  Released under the GNU General Public License
*/

  class ht_jquery_mobile {
    var $code;
    var $group;
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;

    function __construct() {
      $this->version = '1.2';
      $this->code = get_class($this);
      $this->group = basename(dirname(__FILE__));

      $this->title = MODULE_HEADER_TAGS_JQUERY_MOBILE_TITLE;
      $this->description = MODULE_HEADER_TAGS_JQUERY_MOBILE_DESCRIPTION;

      if ( defined('MODULE_HEADER_TAGS_JQUERY_MOBILE_STATUS') ) {
        $this->sort_order = MODULE_HEADER_TAGS_JQUERY_MOBILE_SORT_ORDER;
        $this->enabled = (MODULE_HEADER_TAGS_JQUERY_MOBILE_STATUS == 'True');
      }
    }

    function execute() {
      global $oscTemplate;

      $oscTemplate->addBlock('<script src="ext/jquery/jquery.mobile.custom.min.js"></script>' . "\n", $this->group);
    }

    function isEnabled() {
      return $this->enabled;
    }

    function check() {
      return defined('MODULE_HEADER_TAGS_JQUERY_MOBILE_STATUS');
    }

    function install() {
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Module Version', 'MODULE_HEADER_TAGS_JQUERY_MOBILE_VERSION', '" . $this->version . "', 'The version of this module that you are running.', '6', '0', 'tep_cfg_disabled(', now() ) ");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable jQuery Mobile Javascript Module', 'MODULE_HEADER_TAGS_JQUERY_MOBILE_STATUS', 'True', 'Do you want to add jQuery Mobile Javascript to your shop?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_HEADER_TAGS_JQUERY_MOBILE_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '6', '2', now())");
    }

    function remove() {
      tep_db_query("delete from configuration where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_HEADER_TAGS_JQUERY_MOBILE_VERSION', 'MODULE_HEADER_TAGS_JQUERY_MOBILE_STATUS', 'MODULE_HEADER_TAGS_JQUERY_MOBILE_SORT_ORDER');
    }
  }
  
  // function to show a disabled entry in admin i.e. for version number
  if( !function_exists( 'tep_cfg_disabled' ) ) {
    function tep_cfg_disabled( $value ) {
      return tep_draw_input_field( 'configuration_value', $value, ' disabled' );
    }
  }
